Subject: Ticket Assigned - late delivery / 9559773518 / no 0585971600 0504805921
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 09 Mar 2022 06:45:10 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9559773518 / no 0585971600 0504805921 Accounts                             10:04 AM, 09th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:04 AM, 09th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:04 AM, 09th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:04 AM, 09th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:04 AM, 09th Mar                     Accounts                    Can this be delivered today           10:05 AM, 09th Mar                     Accounts                    From 3 days you guys have given headache           10:05 AM, 09th Mar                     Accounts                    No one calling at time of delivery           10:05 AM, 09th Mar                     Accounts                    This is getting irritat           10:05 AM, 09th Mar                     Accounts                    Irritating*           10:06 AM, 09th Mar                     Accounts                    Please work closely with your delivery partner so things are done perfectly           10:06 AM, 09th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:06 AM, 09th Mar                   New                   If you have any pictures that you would like to share, please do that.            10:06 AM, 09th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:06 AM, 09th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of your order            10:07 AM, 09th Mar                     Accounts                    9559773518           10:07 AM, 09th Mar                   Ahmed                   We apologize and thank you for your patience and understanding. Please a moment  to serve you  the fullest.           10:15 AM, 09th Mar                     Accounts                    Have given 3 days i dont know how much time you take doing a small things           10:16 AM, 09th Mar                     Accounts                    Noon is far better than homebox in my opinion now           10:16 AM, 09th Mar                   Ahmed                   Can you share with us your contact number and alternative one if possible so we can update the courier team and resolve the issue.           10:17 AM, 09th Mar                     Accounts                    0585971600 number 1 0504805921 number 2           10:17 AM, 09th Mar                     Accounts                    Please make sure it gets delivered today           10:18 AM, 09th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:22 AM, 09th Mar                   Ahmed                   and we will make sure to resolve the issue and deliver your order as soon as possible.           10:23 AM, 09th Mar                     Accounts                    Heard this from last 3 days give me something new           10:23 AM, 09th Mar                     Accounts                    Excat date and time for delivery please?           10:23 AM, 09th Mar                   Ahmed                   after we provide the courier team with your contact numbers the order will be delivered within 24 hours, Kindly allow us some time to do the needful.           10:32 AM, 09th Mar                     Accounts                    They never call from last 3 days i just received just the message loke this           10:33 AM, 09th Mar                     Accounts                             10:33 AM, 09th Mar                     Accounts                    Now its just like you guys are making mockery out of this           10:34 AM, 09th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           10:40 AM, 09th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:40 AM, 09th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3997111